

// Copyright: Hans de Nivelle, November 2005. 


// This file is part of Geo2007F.
//
// Geo 2007F is free software: You can distribute it and/or modify
// it under the terms of the GNU General Public License, Version 3,
// as published by the Free Software Foundation.
//
// Geo2007F is distributed in the hope that it will be useful, but 
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License 
// Version 3 along with Geo2007F. It not, see 
// < http://www.gnu.org/licenses/ >


#include "normalizer.h"


std::ostream& operator << ( std::ostream& stream,
		            const normalizer& n )
{
   stream << "Normalizer: \n\n";
   for( std::vector< normalizer::assignment > :: const_iterator 
	   p = n. repr. begin( );
           p !=  n. repr. end( );
	   ++ p )
   {
      stream << "(" << ( p -> from_lab ) << "," << ( p -> from_var ) << ")";
      stream << " := ";
      stream << ( p -> var );
      stream << "\n"; 
   }
   stream << "\n";
   stream << "the next free variable is " << n. nextvar << "\n"; 
   return stream;
}




